<?xml version="1.0" encoding="iso-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

  <!-- match the root -->
  <xsl:template match="/">
    <fo:root>
      <fo:layout-master-set>
        <fo:simple-page-master master-name="mylayout">
          <fo:region-body margin="1in"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <fo:page-sequence master-reference="mylayout">
        <fo:flow flow-name="xsl-region-body" font-size="14pt" font-family="Times">
          <xsl:apply-templates/>
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>

  <!-- match the title -->
  <xsl:template match="title">
    <fo:block font-size="24pt" text-align="center" space-before="30pt" space-before.conditionality="retain" space-after="12pt">
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>

  <!-- match the poet -->
  <xsl:template match="poet">
    <fo:block font-style="italic" text-align="end" space-before="12pt" space-after="9pt">
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>

  <!-- match the stanzas -->
  <xsl:template match="stanzas">
    <xsl:for-each select="stanza">
      <fo:block start-indent="1.5in" space-after="9pt">
        <xsl:apply-templates select="verse"/>
      </fo:block>
    </xsl:for-each>
  </xsl:template>

  <!-- match the verses -->
  <xsl:template match="verse">
    <fo:block>
      <xsl:value-of select="."/>
    </fo:block>
  </xsl:template>

</xsl:stylesheet>
