<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (c) 1996-2003 Antenna House, Inc. All rights reserved. -->
<!-- http://www.antennahouse.com/XSL20/xslworks1.htm -->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
  <!-- attribute sets -->
  <xsl:attribute-set name="company.block">
    <xsl:attribute name="border-after-color">navy</xsl:attribute>
    <xsl:attribute name="border-after-style">solid</xsl:attribute>
    <xsl:attribute name="border-after-width">0.7mm</xsl:attribute>
    <xsl:attribute name="padding">2mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="company.name">
    <xsl:attribute name="font-size">12pt</xsl:attribute>
    <xsl:attribute name="font-family">sans-serif</xsl:attribute>
    <xsl:attribute name="line-height">120%</xsl:attribute>
    <xsl:attribute name="margin-top">3mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="company.logo">
    <xsl:attribute name="line-height">100%</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="company.name">
    <xsl:attribute name="font-size">12pt</xsl:attribute>
    <xsl:attribute name="font-family">sans-serif</xsl:attribute>
    <xsl:attribute name="line-height">120%</xsl:attribute>
    <xsl:attribute name="margin-top">3mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="company.detail">
    <xsl:attribute name="font-size">9pt</xsl:attribute>
    <xsl:attribute name="font-family">serif</xsl:attribute>
    <xsl:attribute name="line-height">120%</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="issuedate">
    <xsl:attribute name="font-size">10pt</xsl:attribute>
    <xsl:attribute name="font-family">serif</xsl:attribute>
    <xsl:attribute name="line-height">120%</xsl:attribute>
    <xsl:attribute name="text-align">end</xsl:attribute>
    <xsl:attribute name="margin-top">2mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="requester-detail">
    <xsl:attribute name="font-size">11pt</xsl:attribute>
    <xsl:attribute name="font-family">serif</xsl:attribute>
    <xsl:attribute name="line-height">120%</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="requester-name">
    <xsl:attribute name="font-size">12pt</xsl:attribute>
    <xsl:attribute name="font-family">serif</xsl:attribute>
    <xsl:attribute name="line-height">120%</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="document-title">
    <xsl:attribute name="font-size">15pt</xsl:attribute>
    <xsl:attribute name="font-family">sans-serif</xsl:attribute>
    <xsl:attribute name="line-height">120%</xsl:attribute>
    <xsl:attribute name="margin-top">5mm</xsl:attribute>
    <xsl:attribute name="text-align">center</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderdate.block">
    <xsl:attribute name="font-size">10pt</xsl:attribute>
    <xsl:attribute name="font-family">serif</xsl:attribute>
    <xsl:attribute name="line-height">120%</xsl:attribute>
    <xsl:attribute name="margin-top">5mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderlist.block">
    <xsl:attribute name="margin-top">5mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderlist.title">
    <xsl:attribute name="font-size">10pt</xsl:attribute>
    <xsl:attribute name="font-family">serif</xsl:attribute>
    <xsl:attribute name="line-height">120%</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderlist.table.block">
    <xsl:attribute name="margin-top">5mm</xsl:attribute>
    <xsl:attribute name="margin-left">5mm</xsl:attribute>
    <xsl:attribute name="margin-right">5mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderlist.table.header">
    <xsl:attribute name="border-top-style">solid</xsl:attribute>
    <xsl:attribute name="border-bottom-style">solid</xsl:attribute>
    <xsl:attribute name="border-width">0.5mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderlist.table.header.numericcolumns">
    <xsl:attribute name="border-top-style">solid</xsl:attribute>
    <xsl:attribute name="border-bottom-style">solid</xsl:attribute>
    <xsl:attribute name="border-width">0.5mm</xsl:attribute>
    <xsl:attribute name="text-align">end</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderlist.table.detail">
    <xsl:attribute name="border-top-style">none</xsl:attribute>
    <xsl:attribute name="border-bottom-style">dotted</xsl:attribute>
    <xsl:attribute name="border-width">0.1mm</xsl:attribute>
    <xsl:attribute name="display-align">after</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderlist.table.detail.numericcolumns">
    <xsl:attribute name="border-top-style">none</xsl:attribute>
    <xsl:attribute name="border-bottom-style">dotted</xsl:attribute>
    <xsl:attribute name="border-width">0.1mm</xsl:attribute>
    <xsl:attribute name="display-align">after</xsl:attribute>
    <xsl:attribute name="text-align">end</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderlist.table.detail.sumcolumns">
    <xsl:attribute name="border-top-style">solid</xsl:attribute>
    <xsl:attribute name="border-bottom-style">none</xsl:attribute>
    <xsl:attribute name="border-width">0.5mm</xsl:attribute>
    <xsl:attribute name="display-align">after</xsl:attribute>
    <xsl:attribute name="text-align">end</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="orderlist.table.detail.blocks">
    <xsl:attribute name="margin-top">1mm</xsl:attribute>
    <xsl:attribute name="margin-bottom">1mm</xsl:attribute>
    <xsl:attribute name="font-family">serif</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="atogaki">
    <xsl:attribute name="margin-top">20mm</xsl:attribute>
    <xsl:attribute name="margin-bottom">1mm</xsl:attribute>
    <xsl:attribute name="font-family">serif</xsl:attribute>
    <xsl:attribute name="font-size">10pt</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="atogaki.incharge.detail">
    <xsl:attribute name="font-family">serif</xsl:attribute>
    <xsl:attribute name="font-size">10pt</xsl:attribute>
    <xsl:attribute name="text-align">end</xsl:attribute>
  </xsl:attribute-set>
  <xsl:attribute-set name="atogaki.incharge.blocks">
    <xsl:attribute name="margin-top">5mm</xsl:attribute>
    <xsl:attribute name="margin-bottom">1mm</xsl:attribute>
  </xsl:attribute-set>
  <xsl:template name="orderlist.sum.edit">
    <xsl:param name="set-of-order"/>
    <xsl:variable name="sumorg">
      <xsl:call-template name="orderlist.sum">
        <xsl:with-param name="set-of-order" select="$set-of-order"/>
      </xsl:call-template>
    </xsl:variable>
    <xsl:value-of select="format-number($sumorg, '&#xA5;###,###,##0')"/>
  </xsl:template>
  <xsl:template name="orderlist.sum">
    <xsl:param name="set-of-order"/>
    <xsl:choose>
      <xsl:when test="$set-of-order">
        <xsl:variable name="first">
          <xsl:apply-templates select="$set-of-order[1]" mode="sum"/>
        </xsl:variable>
        <xsl:variable name="rest">
          <xsl:call-template name="orderlist.sum">
            <xsl:with-param name="set-of-order" select="$set-of-order[position() != 1]"/>
          </xsl:call-template>
        </xsl:variable>
        <xsl:value-of select="$first + $rest"/>
      </xsl:when>
      <xsl:otherwise>0</xsl:otherwise>
    </xsl:choose>
  </xsl:template>
  <xsl:template match="order" name="order.kingaku" mode="sum">
    <xsl:value-of select="unitprice*count"/>
  </xsl:template>
  <xsl:template match="orderinfo">
    <!-- root start-->
    <fo:root>
      <!-- layout master set -->
      <fo:layout-master-set>
        <fo:simple-page-master page-height="11in" page-width="8.5in" master-name="ukesho">
          <fo:region-body margin-top="15mm" margin-right="15mm" margin-bottom="15mm" margin-left="15mm"/>
          <fo:region-before border-after-style="none" border-width="thin" extent="5mm" display-align="after"/>
          <fo:region-after border-before-style="solid" border-width="0.7mm" border-color="navy" extent="15mm" display-align="before"/>
          <fo:region-start reference-orientation="270" extent="5mm"/>
          <fo:region-end reference-orientation="90" extent="5mm"/>
        </fo:simple-page-master>
      </fo:layout-master-set>
      <!-- layout master end -->
      <fo:page-sequence master-reference="ukesho">
        <fo:flow flow-name="xsl-region-body">
          <fo:block xsl:use-attribute-sets="company.block">
            <fo:block xsl:use-attribute-sets="company.name">
              <fo:external-graphic src="ahlogo.png" content-width="41.54mm" content-height="8.73mm"/> Antenna House, Inc.</fo:block>
            <fo:block xsl:use-attribute-sets="company.detail">11-9 Nibancho, Chiyodaku, Tokyo 102-0084 Japan</fo:block>
            <fo:block xsl:use-attribute-sets="company.detail">TEL:03-3234-9631&#160;&#160;&#160;FAX:03-3221-9975&#160;&#160;&#160;E-Mail:info@antenna.co.jp</fo:block>
          </fo:block>
          <fo:block xsl:use-attribute-sets="issuedate">
            <xsl:value-of select="issuedate/mm"/>/<xsl:value-of select="issuedate/dd"/>/<xsl:value-of select="issuedate/yy"/>
          </fo:block>
          <fo:block margin-top="2mm">
            <fo:block xsl:use-attribute-sets="requester-name">
              Mr./Ms. <xsl:value-of select="/orderinfo/requester/name"/>
            </fo:block>
            <fo:block xsl:use-attribute-sets="requester-detail">
              <xsl:value-of select="requester/company/section"/>, <xsl:value-of select="requester/company/companyname"/>
            </fo:block>
            <fo:block xsl:use-attribute-sets="requester-detail">
              <xsl:value-of select="requester/address/streetaddr1"/>, <xsl:value-of select="requester/address/streetaddr2"/>
            </fo:block>
            <fo:block xsl:use-attribute-sets="requester-detail">
              <xsl:value-of select="requester/address/prefecture"/>
              <xsl:value-of select="requester/address/city"/>
            </fo:block>
            <fo:block xsl:use-attribute-sets="requester-detail">
              <xsl:value-of select="requester/post-code"/>
            </fo:block>
          </fo:block>
          <fo:block xsl:use-attribute-sets="document-title">Sales Note</fo:block>
          <fo:block xsl:use-attribute-sets="orderdate.block">
            Order Date: <xsl:value-of select="orderdate/mm"/>/<xsl:value-of select="orderdate/dd"/>/<xsl:value-of select="orderdate/yy"/>&#160;&#160;&#160;No.: <xsl:value-of select="orderno"/>
          </fo:block>
          <fo:block xsl:use-attribute-sets="orderlist.block">
            <fo:block xsl:use-attribute-sets="orderlist.title">Content of order:</fo:block>
            <fo:block xsl:use-attribute-sets="orderlist.table.block">
              <fo:table-and-caption>
                <fo:table>
                  <fo:table-column column-number="1" column-width="40%"/>
                  <fo:table-column column-number="2" column-width="20%"/>
                  <fo:table-column column-number="3" column-width="20%"/>
                  <fo:table-column column-number="4" column-width="20%"/>
                  <fo:table-header start-indent="0pt" end-indent="0pt" xsl:use-attribute-sets="orderlist.table.header">
                    <fo:table-row>
                      <fo:table-cell xsl:use-attribute-sets="orderlist.table.header">
                        <fo:block>Item</fo:block>
                      </fo:table-cell>
                      <fo:table-cell xsl:use-attribute-sets="orderlist.table.header.numericcolumns">
                        <fo:block>Qty</fo:block>
                      </fo:table-cell>
                      <fo:table-cell xsl:use-attribute-sets="orderlist.table.header.numericcolumns">
                        <fo:block>Unit Price </fo:block>
                      </fo:table-cell>
                      <fo:table-cell xsl:use-attribute-sets="orderlist.table.header.numericcolumns">
                        <fo:block>Subtotal</fo:block>
                      </fo:table-cell>
                    </fo:table-row>
                  </fo:table-header>
                  <fo:table-body start-indent="0pt" end-indent="0pt">
                    <xsl:for-each select="/orderinfo/orderlist/order">
                      <fo:table-row>
                        <fo:table-cell xsl:use-attribute-sets="orderlist.table.detail">
                          <fo:block xsl:use-attribute-sets="orderlist.table.detail.blocks">
                            <xsl:element name="fo:external-graphic">
                              <xsl:attribute name="src"><xsl:value-of select="itemimage/@file"/></xsl:attribute>
                              <xsl:attribute name="content-height">7mm</xsl:attribute>
                              <xsl:attribute name="content-width">7mm</xsl:attribute>
                              <xsl:attribute name="alignment-baseline">text-after-edge</xsl:attribute>
                            </xsl:element>
                            <xsl:value-of select="item"/>
                          </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="orderlist.table.detail.numericcolumns">
                          <fo:block xsl:use-attribute-sets="orderlist.table.detail.blocks">
                            <xsl:value-of select="format-number(count, '###,###,##0')"/>
                          </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="orderlist.table.detail.numericcolumns">
                          <fo:block xsl:use-attribute-sets="orderlist.table.detail.blocks">
                            <xsl:value-of select="format-number(unitprice, '&#xA5;###,###,##0')"/>
                          </fo:block>
                        </fo:table-cell>
                        <fo:table-cell xsl:use-attribute-sets="orderlist.table.detail.numericcolumns">
                          <fo:block xsl:use-attribute-sets="orderlist.table.detail.blocks">
                            <xsl:value-of select="format-number(unitprice * count, '&#xA5;###,###,##0')"/>
                          </fo:block>
                        </fo:table-cell>
                      </fo:table-row>
                    </xsl:for-each>
                    <fo:table-row>
                      <fo:table-cell xsl:use-attribute-sets="orderlist.table.detail.sumcolumns">
                        <fo:block xsl:use-attribute-sets="orderlist.table.detail.blocks"></fo:block>
                      </fo:table-cell>
                      <fo:table-cell xsl:use-attribute-sets="orderlist.table.detail.sumcolumns">
                        <fo:block xsl:use-attribute-sets="orderlist.table.detail.blocks"></fo:block>
                      </fo:table-cell>
                      <fo:table-cell xsl:use-attribute-sets="orderlist.table.detail.sumcolumns">
                        <fo:block xsl:use-attribute-sets="orderlist.table.detail.blocks">Total</fo:block>
                      </fo:table-cell>
                      <fo:table-cell xsl:use-attribute-sets="orderlist.table.detail.sumcolumns">
                        <fo:block xsl:use-attribute-sets="orderlist.table.detail.blocks">
                          <xsl:call-template name="orderlist.sum.edit">
                            <xsl:with-param name="set-of-order" select="orderlist/order"/>
                          </xsl:call-template>
                        </fo:block>
                      </fo:table-cell>
                    </fo:table-row>
                  </fo:table-body>
                </fo:table>
              </fo:table-and-caption>
            </fo:block>
          </fo:block>
          <fo:block xsl:use-attribute-sets="atogaki">Thank you very much for shopping at Antenna House Online Shop.</fo:block>
          <fo:block xsl:use-attribute-sets="atogaki.incharge.blocks">
            <fo:block xsl:use-attribute-sets="atogaki.incharge.detail">
              <xsl:value-of select="incharge/incharge-section"/>
            </fo:block>
            <fo:block xsl:use-attribute-sets="atogaki.incharge.detail">
              <xsl:value-of select="incharge/incharge-person"/>
            </fo:block>
            <fo:block xsl:use-attribute-sets="atogaki.incharge.detail">E-Mail:<xsl:value-of select="incharge/incharge-mail"/></fo:block>
          </fo:block>
        </fo:flow>
      </fo:page-sequence>
      <!-- root end-->
    </fo:root>
  </xsl:template>
  <xsl:template match="img">
    <fo:external-graphic src="{@src}"/>
  </xsl:template>
</xsl:stylesheet>
